Bug 29881 - Remove SQLite2 dependency
Summary: Remove SQLite2 dependency
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P1 - high blocker (vote)
Assignee: Mason James
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-14 06:43 UTC by Mason James
Modified: 2022-03-18 01:53 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11,20.11.17,19.11.28


Attachments
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install) (1.38 KB, patch)
2022-01-14 06:48 UTC, Mason James
Details | Diff | Splinter Review
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install) (1.41 KB, patch)
2022-01-19 09:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install) (1.47 KB, patch)
2022-02-07 11:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29881: Remove SQLite2 dependency (follow up) (821 bytes, patch)
2022-03-02 01:47 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2022-01-14 06:43:41 UTC
to test...

- attempt to install koha-common pkg on deb12

  confirm error...
   The following packages have unmet dependencies:
   koha-common : Depends: libdbd-sqlite2-perl but it is not installable

- apply patch, rebuild new package

- install new koha-common pkg on deb12 successfully
Comment 1 Mason James 2022-01-14 06:48:02 UTC
Created attachment 129461 [details] [review]
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install)

to test...

- attempt to install koha-common pkg on deb12

  confirm error...
   The following packages have unmet dependencies:
   koha-common : Depends: libdbd-sqlite2-perl but it is not installable

- apply patch, rebuild new package

- install new koha-common pkg on deb12 successfully
Comment 2 Tomás Cohen Arazi 2022-01-15 00:47:16 UTC
What is it used for? Test::DBIx::Class?
Comment 3 Mason James 2022-01-15 02:17:45 UTC
(In reply to Tomás Cohen Arazi from comment #2)
> What is it used for? Test::DBIx::Class?

i think its only used for the ./misc/cronjobs/create_koc_db.pl file, see BZ-4269 

create_koc_db.pl can use both sqlite2 and sqlite3, so no upgrade problem to deb12
Comment 4 Jonathan Druart 2022-01-19 09:15:45 UTC
Created attachment 129591 [details] [review]
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install)

to test...

- attempt to install koha-common pkg on deb12

  confirm error...
   The following packages have unmet dependencies:
   koha-common : Depends: libdbd-sqlite2-perl but it is not installable

- apply patch, rebuild new package

- install new koha-common pkg on deb12 successfully

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Mason James 2022-02-01 18:21:17 UTC
bump severity to fix ktd/jenkins
Comment 6 Tomás Cohen Arazi 2022-02-07 11:33:43 UTC
Created attachment 130209 [details] [review]
Bug 29881: libdbd-sqlite2-perl is unavailable on deb12 (koha-common wont install)

to test...

- attempt to install koha-common pkg on deb12

  confirm error...
   The following packages have unmet dependencies:
   koha-common : Depends: libdbd-sqlite2-perl but it is not installable

- apply patch, rebuild new package

- install new koha-common pkg on deb12 successfully

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Fridolin Somers 2022-02-10 01:36:41 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Mason James 2022-02-10 10:36:04 UTC
(In reply to Fridolin Somers from comment #7)
> Pushed to master for 22.05, thanks to everybody involved 🦄

thanks, can we push this to all branches to 19.11 please
Comment 9 Kyle M Hall 2022-02-11 11:23:33 UTC
Pushed to 21.11.x for 21.11.03
Comment 10 Andrew Fuerste-Henry 2022-02-21 16:14:59 UTC
Pushed to 21.05.x for 21.05.11
Comment 11 Victor Grousset/tuxayo 2022-02-24 22:38:32 UTC
Backported: Pushed to 20.11.x branch for 20.11.16
Comment 12 Mason James 2022-03-02 01:47:28 UTC
Created attachment 131216 [details] [review]
Bug 29881: Remove SQLite2 dependency (follow up)

small follow up patch :)
Comment 13 Mason James 2022-03-02 01:51:44 UTC
Comment on attachment 131216 [details] [review]
Bug 29881: Remove SQLite2 dependency (follow up)

will move this patch to a new bug
Comment 14 Mason James 2022-03-02 01:52:10 UTC
resolving again
Comment 15 wainuiwitikapark 2022-03-07 04:09:31 UTC
Backported to 19.11.x
Comment 16 Mason James 2022-03-10 05:26:29 UTC
hi RMaints

i think we should revert this patch on stable (and lower), just to be safe

i don't think this patch has caused a problem in production systems, as libdbd-sqlite2-perl package is preferred over libdbd-sqlite3-perl - so no accidental upgrade to libdbd-sqlite3-perl will happen

the patch is safe to leave for the future 22.05 release :)
Comment 17 Mason James 2022-03-10 05:46:27 UTC
hmm,  false alarm.. no need to revert

i did a bit more of a look, and everything seems ok :)